/* [main.cpp|001]
 *  main.cpp (windowed applications)
*/

#include "wpch.hpp"
#include "main.hpp"
#include "applic.hpp"


/*  Redefine the C++ "new" and "delete" operators to go through
    the component library's memory checker.
*/
#if defined( _DEBUG ) && defined( new )
#   undef new
#   undef delete
#   define _REDEFINE_WNEW
#endif
W_REDEFINENEW
W_REDEFINEDELETE
#ifdef _REDEFINE_WNEW
#   include "wnew.hpp"
#   undef _REDEFINE_WNEW
#endif


WModuleHandle _ApplicationModule = NULLHMODULE;
static ApplicationClass _Application;
ApplicationClass *Application = &_Application;
WForm *__MainForm = NULL;

int CALLBACK WinMain( unsigned int inst, unsigned int prev,
                      const WChar * cmd, int show )
{
    return( Application->EntryPoint( inst, prev, cmd, show ) );
}
